> For the complete documentation index, see [llms.txt](https://dadocs.rickyjs.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://dadocs.rickyjs.xyz/endpoints/db/get.md).

# /get

{% hint style="info" %}
This endpoint requires a POST request!
{% endhint %}

### Endpoint Headers:

* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Endpoint Body Parameters:

* name - Name of the variable to get <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/db/get` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpPost[https://bdfddata.rickyjs.xyz/<version>/db/get;{
"name": "variable-name"
}]

$httpResult OR $httpResult[entries]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/db/get` endpoint using Discord.js

<pre class="language-javascript"><code class="lang-javascript"><strong>const axios = require('axios');
</strong>(async () => {
return await axios.post('https://bdfddata.rickyjs.xyz/&#x3C;version>/db/get', {
name: 'variable-name'
}, 
{
headers: {
"apikey": "&#x3C;YOUR-API-KEY>"
}
}).then(res=>res.data)
})()
</code></pre>

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200</summary>

API succeeded and details were fetched.

```javascript
{
 status: 200,
 entries: // returns the value of the specified variable
 }   
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 424</summary>

Origin Database Unavailable

```javascript
  status: 424,
  error: 'An error occurred while contacting our Database. Please contact the BDFDDaya API Support Team if this issue persists.'
}
```

</details>
